<?php

/*后台登录和注销*/
get('login', 'Admin\AuthController@getLogin');
post('login', 'Admin\AuthController@postLogin');
get('logout', 'Admin\AuthController@logout');

/*后台管理*/
Route::group(['prefix' => 'admin', 'middleware' => ['auth:1', 'permission'], 'namespace' => 'Admin'], function () {
    Route::get('/', 'HomeController@index')->name('admin.home.index');
    Route::get('main', 'HomeController@main')->name('admin.home.main');
    Route::post('set-lang', 'HomeController@setLang')->name('admin.home.setLang');
    Route::get('detection', 'HomeController@detection')->name('admin.home.detection');
    Route::get('seotools', 'HomeController@seotools')->name('admin.home.seotools');
    Route::get('user/change-pwd', 'HomeController@changePwd')->name('admin.user.change-pwd');
    Route::post('user/change-pwd', 'HomeController@updatePwd')->name('admin.user.update-pwd');
    Route::post('upload', 'FileuploadController@upload')->name('admin.upload');
    Route::get('lang/add/{lang}', 'LangController@add')->name('admin.lang.add'); // 同步语言数据
    Route::post('lang/manager-all', 'LangController@managerAll')->name('admin.lang.all'); // 管理购买所有语言
    Route::get('lang/buy/{id}', 'LangController@buy')->name('admin.lang.buy');  //语言版本启用
    Route::post('lang/prime', 'LangController@updatePrime')->name('admin.lang.prime');  // 切换主语言版本
    Route::any('ueditor', 'FileuploadController@ueditor')->name('admin.ueditor');  // 百度编辑器文件上传
    Route::get('setting/index/{action}', 'SettingController@index')->name('admin.setting.index');
    Route::post('setting/update', 'SettingController@update')->name('admin.setting.update');
    Route::post('setting/ajax-update', 'SettingController@ajaxUpdate')->name('admin.setting.ajax-update');
    Route::post('content/{model}', 'ContentController@index')->name('admin.content.index'); //模型内容管理
    Route::get('ajax/{model}', 'AjaxController@index')->name('admin.ajax.index'); //异步获取数据
    Route::get('statistic/{view}', 'StatisticController@index')->name('admin.statistic.index');  //网站概况
    Route::get('theme', 'ThemeController@index')->name('admin.theme.index'); //风格管理
    Route::get('theme/change/{theme}', 'ThemeController@change')->name('admin.theme.change'); //风格启用
    Route::get('theme-install', 'ThemeController@install')->name('admin.theme.install'); //风格选择
    Route::post('theme/download', 'ThemeController@download')->name('admin.theme.download'); //风格下载
    Route::get('detection/{action}', 'DetectionController@index')->name('admin.detection.index'); // 网站检测 Api
    Route::post('detection/update', 'DetectionController@update')->name('admin.detection.update'); // 更新检测结果
    Route::get('train-video', 'TrainController@video')->name('admin.train.video'); //视频培训
    Route::get('train-video/{id}', 'TrainController@videoDetail')->name('admin.train.video-detail'); //视频详细
    Route::get('train-news', 'TrainController@new')->name('admin.train.news'); //在线资讯
    Route::get('train-news/{id}', 'TrainController@newDetail')->name('admin.train.news-detail'); //资讯详细
    Route::get('sem-keyword', 'SemKeywordController@index')->name('admin.sem-keyword.index'); //谷歌推广关键词
    Route::post('sem-keyword/import', 'SemKeywordController@import')->name('admin.sem-keyword.import'); //推广关键词导入
    Route::get('sem-keyword/export', 'SemKeywordController@export')->name('admin.sem-keyword.export'); //推广关键词导出
    Route::get('user/opinion', 'HomeController@opinion')->name('admin.user.opinion');  //意见反馈
    Route::post('tag/ajax-update', 'TagController@ajaxUpdate')->name('admin.tag.ajax-update');  //异步更新tag
    Route::get('message/export', 'MessageController@export')->name('admin.message.export'); //询盘导出
    Route::get('team/user', 'UserController@listUser')->name('admin.team.user.index'); // 团队用户列表
    Route::get('team/user/create', 'UserController@createUser')->name('admin.team.user.create'); // 添加团队用户
    Route::post('team/user', 'UserController@storeUser')->name('admin.team.user.store'); // 添加团队用户
    Route::get('team/user/{id}', 'UserController@editUser')->name('admin.team.user.edit'); // 编辑团队用户
    Route::put('team/user/{id}', 'UserController@updateUser')->name('admin.team.user.update'); // 更新团队用户
    Route::post('team/user/{id}/status', 'UserController@changeUserStatus')->name('admin.team.user.status'); // 更改团队用户状态allocation
    Route::get('message/allocation/{id}', 'MessageController@allocation')->name('admin.message.allocation.edit'); // 询盘分配编辑
    Route::put('message/allocation/{id}', 'MessageController@updateAllocation')->name('admin.message.allocation.update'); // 更新询盘分配
    Route::get('seo/{type}', 'SeoController@index')->name('admin.seo.index'); // 智能生成TDK
    Route::get('tag/keyword', 'TagController@getKeyword')->name('admin.tag.keyword'); // 查询关键词

    Route::get('comment', 'CommentController@index')->name('admin.comment.index'); // 评论列表
    Route::get('comment/{id}', 'CommentController@show')->name('admin.comment.show'); // 评论详情
    Route::post('comment/{id}', 'CommentController@update')->name('admin.comment.update'); // 更新评论是否展示
    Route::delete('comment/{id}', 'CommentController@destroy')->name('admin.comment.destroy'); // 删除评论

    Route::get('template/list', 'TemplateController@lists')->name('admin.template.edit'); // 获取模板信息
    Route::get('template/file', 'TemplateController@getFile')->name('admin.template.edit'); // 获取模板文件信息
    Route::post('template/file', 'TemplateController@editFile')->name('admin.template.edit'); // 更新模板
    Route::get('template/brand', 'TemplateController@brand')->name('admin.template.edit'); // 获取模板品牌信息

    Route::get('email/bind', 'MailController@index')->name('admin.email.bind');              // 绑定邮箱
    Route::post('mail', 'MailController@store')->name('admin.mail.store');                   // 添加邮箱
    Route::delete('mail/{id}', 'MailController@destroy')->name('admin.mail.destroy');        // 删除邮箱

    Route::get('mail-message/new', 'MailMessageController@receive')->name('admin.email.new');                 // 接收新邮件
    Route::get('mail-message/read/{id}', 'MailMessageController@read')->name('admin.email.read');             // 标记邮件已读
    Route::get('mail-message/{id}', 'MailMessageController@show')->name('admin.email.show');                  // 邮件详情
    Route::get('mail-message-iframe/{id}', 'MailMessageController@show_iframe')->name('admin.email.show_iframe');// 邮件详情iframe
    Route::post('mail-message/send', 'MailMessageController@send')->name('admin.email.send');                 // 邮件发送
    Route::get('mail-message/download/{id}', 'MailMessageController@download')->name('admin.email.download'); // 邮件附件下载
    Route::post('mail-message/del/{id}', 'MailMessageController@destroy')->name('admin.email.destroy');       // 删除邮件
    Route::get('email/inbox', 'MailMessageController@index')->name('admin.email.inbox');     // 收件箱
    Route::get('email/sent', 'MailMessageController@sent')->name('admin.email.sent');        // 已发送
    Route::get('email/trash', 'MailMessageController@trash')->name('admin.email.trash');     // 回收站
    Route::get('media/lists', 'MediaController@lists')->name('admin.media.lists');     // 媒体库弹框列表
    Route::get('google-push', 'GoogleController@index')->name('admin.google-push.index');  // Google推送管理
    Route::post('google-push', 'GoogleController@update')->name('admin.google-push.update');  // 提交Google推送

    Route::get('nav/get-column', 'NavController@getColumn')->name('admin.nav.get-column');
    Route::post('media/recover/{id}', 'MediaController@recover')->name('admin.media.recover');     // 媒体库恢复

    // 海关数据
    Route::get('customs', 'CustomsController@index')->name('admin.customs.index');                // 海关数据列表
    Route::get('customs-records', 'CustomsController@records')->name('admin.customs.records');    // 海关数据消费记录

    Route::post('user/inquiry/permission', 'UserController@inquiryPermission')->name('admin.user.inquiry.permission');   // 用户询盘权限

    Route::post('message/translate', 'MessageController@translate')->name('admin.message.translate');     // 留言提交翻译

    //RESTful 资源控制器
    Route::resource('menu', 'MenuController');
    Route::resource('lang', 'LangController');
    Route::resource('block', 'BlockController');
    Route::resource('ad', 'AdController');
    Route::resource('link', 'LinkController');
    Route::resource('message', 'MessageController');
    Route::resource('tag', 'TagController');
    Route::resource('nav', 'NavController');
    Route::resource('product', 'ProductController');
    Route::resource('product-cate', 'ProductCateController');
    Route::resource('page-cate', 'PageCateController');             //自定义栏目分类
    Route::resource('page', 'PageController');                      //自定义页面
    Route::resource('case-cate', 'CaseCateController');             //案例分类管理
    Route::resource('case', 'CaseController');                      //案例管理
    Route::resource('album-cate', 'AlbumCateController');           //相册分类管理
    Route::resource('album', 'AlbumController');                    //相册管理
    Route::resource('news-cate', 'NewsCateController');             //新闻分类管理
    Route::resource('news', 'NewsController');                      //新闻管理
    Route::resource('video-cate', 'VideoCateController');           //视频分类管理
    Route::resource('video', 'VideoController');                    //视频管理
    Route::resource('job-cate', 'JobCateController');               //招聘分类管理
    Route::resource('job', 'JobController');                        //招聘管理
    Route::resource('download-cate', 'DownloadCateController');     //下载分类管理
    Route::resource('download', 'DownloadController');              //下载管理
    Route::resource('view-lang', 'ViewLangController');             //模板语言
    Route::resource('system-lang', 'SystemLangController');         //系统语言
    Route::resource('template', 'TemplateController');              //模板编辑
    Route::resource('user', 'UserController');                      //用户管理
    Route::resource('role', 'RoleController');                      //角色管理
    Route::resource('permission', 'PermissionController');          //权限管理
    Route::resource('manufacturer', 'ManufacturerController');      //制造商/品牌管理
    Route::resource('attribute', 'AttributeController');            //属性管理
    Route::resource('social', 'SocialController');                  //社交授权
    Route::resource('social-share', 'ShareController');             //社交分享
    Route::resource('member', 'MemberController');                  //会员管理
    Route::resource('member-group', 'MemberGroupController');       //会员组管理
    Route::resource('order', 'OrderController');                    // 订单管理
    Route::resource('express', 'ExpressController');                // 物流设置
    Route::resource('translate-log', 'TranslateLogController');     // 翻译日志
    Route::resource('team', 'TeamController');                      // 团队管理
    Route::resource('photo-group-cate', 'PhotoGroupCateController'); //图文分类管理
    Route::resource('photo-group', 'PhotoGroupController');         //图文管理
    Route::resource('media', 'MediaController');                    //媒体库管理
    Route::resource('core-event', 'CoreEventController');           //核心事件管理
    Route::resource('service-record', 'ServiceRecordController');   //留言记录管理
    Route::resource('system-log', 'SystemLogController');   //系统日志
    Route::resource('batch-upload', 'BatchUploadController');   //批量上传

    // AI新闻管理
    Route::resource('collect-title', 'CollectTitleController');
    Route::resource('collect-tag', 'CollectTagController');
    Route::resource('collect-news', 'CollectNewsController');
    Route::post('collect-news/flag', 'CollectNewsController@updateFlag')->name('admin.collect-news.flag');
    Route::get('collect-media', 'CollectMediaController@index')->name('admin.collect-media.index');
    Route::delete('collect-media/{id}', 'CollectMediaController@destroy')->name('admin.collect-media.destroy');
    Route::post('media/upload', 'FileuploadController@mediaUpload')->name('admin.media.upload');
    Route::post('collect-media/import', 'CollectMediaController@import')->name('admin.collect-media.import');
    Route::resource('collect-search', 'CollectSearchController');
    Route::post('collect-tag/import', 'CollectTagController@import')->name('admin.collect-tag.import');

    // 可视化编辑
    Route::get('visual', 'VisualController@index')->name('admin.visual.index');
    Route::post('visual', 'VisualController@update')->name('admin.visual.update');
});
